## org.freedesktop.LowMemoryMonitor

org.freedesktop.LowMemoryMonitor — D-Bus proxy to Linux' memory pressure information

## Signals

    LowMemoryWarning (y level);

## Description

Unsandboxed applications and desktop-environments can listen for the "LowMemoryWarning" signal to know when they should drop caches, and unnecessary allocated memory so as to reduce their memory usage.

The object path will be "/org/freedesktop/LowMemoryMonitor".

## Signal Details

### The "LowMemoryWarning" signal

    LowMemoryWarning (y level);

Signal emitted when a particular low memory situation happens. The valid level values go from 0 to 255, but only certain values are currently used. The higher the number, the more urgent the warning is. Currently used levels are:

50 | Memory on the device is low, processes should free up unneeded resources so they can be used elsewhere.
100 | The device has even less free memory, so processes should try harder to free up unneeded resources. If your process does not need to stay running, it is a good time for it to quit.
255 | The system will start terminating processes to reclaim memory, including background processes.

`y `level``: | An integer representing the level of low memory warning.